Subject: Re: [TI994A] Heaven shines down

From: Owen Brand <[email-masked]>
Date: Sat, 9 Jan 2010 16:00:20 -0500

Changed my mind... I'll go with the
DATA statements.  :)

Owen Brand
**Oprysoft**
Opry99er.com

On Jan 9, 2010, at 12:15 PM, R Halter <[email-masked]> wrote:

> Owen Brand wrote:
> >
> >
> > Code works... Please test it out and let me know what you think.
> > YouTube video will be up in a few minutes. Thanks guys!!!
>
> This is the code from your AtariAge topic, right? I'm having a little
> trouble with emulation speed right now, but collision detection is
> working fine.
>
> I posted a few suggestions (with code) on your AA topic. It took  
> longer
> than I expected, because *just* as I was finishing up writing the code
> suggestions, Kurumi (my XP-based TI peripheral) BSOD'ed! >_<
>
> I wound up having to rewrite all my new code (I was composing it in
> Notepad, and I hadn't saved), saving every couple of steps to keep  
> from
> having to do it all a third time if Kurumi decided to BSOD again.
>
> Anyway, I don't know if the suggested tweaks will save any memory or
> speed up gameplay, except one where I noticed you are executing all of
> the CALL CHAR statements every time you start the level. The other  
> idea
> I suggested won't really affect the way the program runs; I just  
> thought
> it might be kind of neat.
>
> -- 
> "You keep using that word. I do not think it means what you think it
> means."
> -- Inigo Montoya (Mandy Patinkin), "The Princess Bride"
>

---

From: Owen Brand <[email-masked]>
Date: Sat, 9 Jan 2010 17:05:38 -0500

Hey Rhea,
    I have a blog on my webpage that talks about that Joystick  
function and how, using a couple simple equations, we can multiply the  
same variable by two different numbers to both change the direction  
AND the PATTERN of the SPRITE.  The formula is in that blog along with  
a description of it.  It means that the patterns must be set up in a  
very specific order, otherwise the bee will go LEFT and face UP or any  
combination thereof...  Very cool...

Owen Brand
**Oprysoft**
Opry99er.com